## ku-jtools 1.1-ku26-01b

=== debian/changelog ===
ku-jtools (1.1-ku26-01b) unstable; urgency=low

  * bin/jtdeb-missing-ports
    - fix: was not searching 'all' arch when called with defaults

  * bin/jtfunctions.sh
    - fix: content of /etc/default/jtools was not read correctly (still uses hardwired
    	   defaults)


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 23 Jan 2026 14:06:50 +0100
